%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name		dclib
%define version		0.3.23 
%define release		%mkrel 1
%define major		5

%define libname		%mklibname dc %{major}
%define __libtoolize /bin/true

Summary:		Direct Connect file sharing library
Name:			%{name}
Version:		%{version}
Release:   		%{release}
License:		GPL
Url:			http://sourceforge.net/projects/wxdcgui/
Source0:		http://downloads.sourceforge.net/wxdcgui/%name-%version.tar.bz2
Group:			System/Libraries
BuildRequires:		bzip2-devel
BuildRequires:		openssl-devel
BuildRequires:		libxml2-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
This library implements the Direct Connect file sharing protocol.

%description -l de
Diese Bibliothek implementiert das Direct Connect Filesharing-Protokoll.

%package -n %{libname}
Summary:		Direct Connect shared library
Group:			System/Libraries
Provides:		libdc = %{version}-%{release}

%description -n %{libname}
This library implements the Direct Connect file sharing protocol.
The package contains the shared library required for running programs
based on dclib.

%description -n %{libname} -l de
Diese Bibliothek implementiert das Direct Connect Filesharing-Protokoll.
Das Paket beinhaltet die gemeinsam genutzte Bibliothek, für die Ausführung von Programmen
basierend auf dclib.

%package -n %{libname}-devel
Summary:		Direct Connect developer files
Group:			Development/C++
Provides:		dc-devel = %{version}-%{release}
Provides:		libdc-devel = %{version}-%{release}
Requires:		%{libname} = %{version}

%description -n %{libname}-devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and static library to compile programs
based on dclib.

%description -n %{libname}-devel -l de
Diese Bibliothek implementiert das Direct Connect Filesharing-Protokoll.
Das Paket enthält die C++ Header und die statische Bibliothek, zum kompilieren von Programmen basierend auf dclib.

%prep
%setup -q -n %{name}-%{version}

%build

%configure2_5x --enable-shared \
	  --enable-static \
	  --with-ssl-library=openssl

%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%__rm "%{buildroot}%{_libdir}"/*.{a,la}

%clean
%__rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.OpenSSL 
%doc README NEWS TODO
%{_libdir}/libdc.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}-0.3/*
%{_libdir}/libdc.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 0.3.23-1pclos2010
- 0.3.23 

* Mon Jul 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.10-1
- 0.3.10

* Mon Jan 01 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.8-1
- initial build for pclinuxos 2007
